package com.glxp.mipsdl.client.ptxhyy.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.glxp.mipsdl.req.base.ListPageRequest;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class DeviceBusinessProject extends ListPageRequest {

    /**
     * 收费时间
     */
    @TableField(value = "chargTime")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date chargTime;

    /**
     * 收费项目
     */
    @TableField(value = "sfxm")
    private String sfxm;

    /**
     * 收费名称
     */
    @TableField(value = "sfmc")
    private String sfmc;

    /**
     * 收费金额
     */
    @TableField(value = "je")
    private BigDecimal je;

    /**
     * 收费mz
     */
    @TableField(value = "sfmz")
    private String sfmz;

    /**
     * 当前部门编码
     */
    @TableField(value = "deptCode")
    private String deptCode;

    /**
     * 当前部门编码
     */
    @TableField(value = "deptName")
    private String deptName;

    private String startChargTime;
    private String endChargTime;

}